(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("babel-runtime/core-js/promise"), require("babel-runtime/helpers/extends"), require("skypager-helpers-client"), require("skypager-helpers-page"));
	else if(typeof define === 'function' && define.amd)
		define(["babel-runtime/core-js/promise", "babel-runtime/helpers/extends", "skypager-helpers-client", "skypager-helpers-page"], factory);
	else {
		var a = typeof exports === 'object' ? factory(require("babel-runtime/core-js/promise"), require("babel-runtime/helpers/extends"), require("skypager-helpers-client"), require("skypager-helpers-page")) : factory(root["babel-runtime/core-js/promise"], root["babel-runtime/helpers/extends"], root["skypager-helpers-client"], root["skypager-helpers-page"]);
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(this, function(__WEBPACK_EXTERNAL_MODULE_0__, __WEBPACK_EXTERNAL_MODULE_2__, __WEBPACK_EXTERNAL_MODULE_3__, __WEBPACK_EXTERNAL_MODULE_4__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId])
/******/ 			return installedModules[moduleId].exports;
/******/
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmory imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmory exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		Object.defineProperty(exports, name, {
/******/ 			configurable: false,
/******/ 			enumerable: true,
/******/ 			get: getter
/******/ 		});
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 5);
/******/ })
/************************************************************************/
/******/ ({

/***/ "./src/runtimes/web/features/asset-loaders.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.featureMethods = exports.createGetter = undefined;

var _promise = __webpack_require__(0);

var _promise2 = _interopRequireDefault(_promise);

exports.injectScript = injectScript;
exports.loadScript = loadScript;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createGetter = exports.createGetter = "assetLoader";

var featureMethods = exports.featureMethods = ["injectScript"];

function injectScript(src) {
  return new _promise2.default(function (resolve, reject) {
    loadScript(src, function (err, el) {
      return err ? reject(err) : resolve(el);
    });
  });
}

// eslint-disable
function loadScript(src, callback) {
  var s, r, t;
  r = false;
  s = document.createElement("script");
  s.type = "text/javascript";
  s.src = src;
  s.onload = s.onreadystatechange = function () {
    //console.log( this.readyState ); //uncomment this line to see which ready states are called.
    if (!r && (!this.readyState || this.readyState == "complete")) {
      r = true;
      callback(null, s);
    }
  };
  t = document.getElementsByTagName("script")[0];
  t.parentNode.insertBefore(s, t);
}

/***/ },

/***/ "./src/runtimes/web/features/window-messaging.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.featureMixinOptions = exports.featureMethods = exports.shortcut = undefined;

var _promise = __webpack_require__(0);

var _promise2 = _interopRequireDefault(_promise);

var _extends2 = __webpack_require__(2);

var _extends3 = _interopRequireDefault(_extends2);

exports.featureWasEnabled = featureWasEnabled;
exports.send = send;
exports.listen = listen;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var shortcut = exports.shortcut = 'ipc';

var featureMethods = exports.featureMethods = ['listen', 'send'];

var featureMixinOptions = exports.featureMixinOptions = {
  insertOptions: false,
  partial: []
};

function featureWasEnabled() {}

function send() {
  var receiver = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : global;
  var channel = arguments[1];
  var data = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};
  var isFunction = this.lodash.isFunction;


  if (!isFunction(receiver.postMessage)) {
    throw new Error('Receiver does not have a postMessage function.');
  }

  receiver.postMessage((0, _extends3.default)({ channel: channel }, data), global.origin);
}

function listen(channel, handler, condition) {
  var isFunction = this.lodash.isFunction;


  if (typeof window !== 'undefined') {
    var fn = function fn(_ref) {
      var origin = _ref.origin,
          source = _ref.source,
          data = _ref.data;

      if (isFunction(condition) && !!condition({ origin: origin, source: source, data: data })) {
        return;
      }

      console.log('Received IPC Message', data, { origin: origin, source: source });

      if (data.channel === channel) {
        _promise2.default.resolve(handler({ channel: channel, source: source, data: data, origin: origin }));
      }
    };

    window.addEventListener('message', fn);

    return function () {
      return window.removeEventListener('message', fn);
    };
  }
}

/***/ },

/***/ "./src/runtimes/web/index.js":
/***/ function(module, exports, __webpack_require__) {

"use strict";
'use strict';

if (typeof global === 'undefined' && typeof window !== 'undefined') {
  window.global = window;
}

if (typeof process === 'undefined') {
  global.process = { env: {} };
}

var pageHelper = __webpack_require__(4);
var clientHelper = __webpack_require__(3);

skypager.features.add(__webpack_require__(1));

module.exports = skypager.use(pageHelper).use(clientHelper).use('asset-loaders');

/*
  .use("history")
  .use("navigation")
  .use("routing")
  */

skypager.hide('runtimeProvider', 'web', true);
skypager.hide('runtimeModule', module.i, true);
skypager.hide('runtimePackageInfo', {"version":"39.9.1","sha":"b4121e0549c4e362867905a7133ce348dacb41ee","branch":"develop"}, true);

if (!global.skypager) {
  global.skypager = skypager;
}

/***/ },

/***/ 0:
/***/ function(module, exports) {

module.exports = require("babel-runtime/core-js/promise");

/***/ },

/***/ 1:
/***/ function(module, exports, __webpack_require__) {

var map = {
	"./asset-loaders.js": "./src/runtimes/web/features/asset-loaders.js",
	"./window-messaging.js": "./src/runtimes/web/features/window-messaging.js"
};
function webpackContext(req) {
	return __webpack_require__(webpackContextResolve(req));
};
function webpackContextResolve(req) {
	var id = map[req];
	if(!(id + 1)) // check for number
		throw new Error("Cannot find module '" + req + "'.");
	return id;
};
webpackContext.keys = function webpackContextKeys() {
	return Object.keys(map);
};
webpackContext.resolve = webpackContextResolve;
module.exports = webpackContext;
webpackContext.id = 1;


/***/ },

/***/ 2:
/***/ function(module, exports) {

module.exports = require("babel-runtime/helpers/extends");

/***/ },

/***/ 3:
/***/ function(module, exports) {

module.exports = require("skypager-helpers-client");

/***/ },

/***/ 4:
/***/ function(module, exports) {

module.exports = require("skypager-helpers-page");

/***/ },

/***/ 5:
/***/ function(module, exports, __webpack_require__) {

module.exports = __webpack_require__("./src/runtimes/web/index.js");


/***/ }

/******/ })
});
;